Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rte.Constants.PlayerEvent Enum Reference

Media player event types. More...

## Static Public Member Functions
static int | getValue (PlayerEvent type)
static PlayerEvent | fromInt (int v)

## Public Attributes
| SEEK_BEGIN =(0)
| SEEK_COMPLETE =(1)
| SEEK_ERROR =(2)
| BUFFER_LOW =(3)
| BUFFER_RECOVER =(4)
| FREEZE_START =(5)
| FREEZE_STOP =(6)
| ONE_LOOP_PLAYBACK_COMPLETED =(7)
| AUTHENTICATION_WILL_EXPIRE =(8)
| ABR_FALLBACK_TO_AUDIO_ONLY_LAYER =(9)
| ABR_RECOVER_FROM_AUDIO_ONLY_LAYER =(10)
| SWITCH_BEGIN =(11)
| SWITCH_COMPLETE =(12)
| SWITCH_ERROR =(13)
| FIRST_DISPLAYED =(14)
| REACH_CACHE_FILE_MAX_COUNT =(15)
| REACH_CACHE_FILE_MAX_SIZE =(16)
| TRY_OPEN_START =(17)
| TRY_OPEN_SUCCEED =(18)
| TRY_OPEN_FAILED =(19)
| AUDIO_TRACK_CHANGED =(20)

## Detailed Description

Media player event types.

Since
  v4.4.0

## Member Data Documentation

## ◆ SEEK_BEGIN

io.agora.rte.Constants.PlayerEvent.SEEK_BEGIN =(0)

0: Starts seeking to the specified position for playback.

## ◆ SEEK_COMPLETE

io.agora.rte.Constants.PlayerEvent.SEEK_COMPLETE =(1)

1: Jump to the specified position completed.

## ◆ SEEK_ERROR

io.agora.rte.Constants.PlayerEvent.SEEK_ERROR =(2)

2: An error occurs when seeking to the specified playback position.

## ◆ BUFFER_LOW

io.agora.rte.Constants.PlayerEvent.BUFFER_LOW =(3)

3: The currently buffered data is not sufficient for playback.

## ◆ BUFFER_RECOVER

io.agora.rte.Constants.PlayerEvent.BUFFER_RECOVER =(4)

4: The currently buffered data is just enough to support playback.

## ◆ FREEZE_START

io.agora.rte.Constants.PlayerEvent.FREEZE_START =(5)

5: Audio or video stutters.

## ◆ FREEZE_STOP

io.agora.rte.Constants.PlayerEvent.FREEZE_STOP =(6)

6: Both audio and video stop freezing.

## ◆ ONE_LOOP_PLAYBACK_COMPLETED

io.agora.rte.Constants.PlayerEvent.ONE_LOOP_PLAYBACK_COMPLETED =(7)

7: A single loop playback completes.

## ◆ AUTHENTICATION_WILL_EXPIRE

io.agora.rte.Constants.PlayerEvent.AUTHENTICATION_WILL_EXPIRE =(8)

8: The Token is about to expire. After receiving this event, you need to regenerate a new Token and update the URL through `openWithUrl`.

## ◆ ABR_FALLBACK_TO_AUDIO_ONLY_LAYER

io.agora.rte.Constants.PlayerEvent.ABR_FALLBACK_TO_AUDIO_ONLY_LAYER =(9)

9: Due to network issues, falls back from receiving audio and video streams to receiving only the remote audio stream.

## ◆ ABR_RECOVER_FROM_AUDIO_ONLY_LAYER

io.agora.rte.Constants.PlayerEvent.ABR_RECOVER_FROM_AUDIO_ONLY_LAYER =(10)

10: After the network connection is restored, recovers from receiving only the remote audio stream to receiving both audio and video streams.

## ◆ SWITCH_BEGIN

io.agora.rte.Constants.PlayerEvent.SWITCH_BEGIN =(11)

11: Starts switching to a new URL.

## ◆ SWITCH_COMPLETE

io.agora.rte.Constants.PlayerEvent.SWITCH_COMPLETE =(12)

12: Switch to the new URL is complete.

## ◆ SWITCH_ERROR

io.agora.rte.Constants.PlayerEvent.SWITCH_ERROR =(13)

13: An error occurs when switching to a new URL.

## ◆ FIRST_DISPLAYED

io.agora.rte.Constants.PlayerEvent.FIRST_DISPLAYED =(14)

14: The first video frame has been displayed.

## ◆ REACH_CACHE_FILE_MAX_COUNT

io.agora.rte.Constants.PlayerEvent.REACH_CACHE_FILE_MAX_COUNT =(15)

15: The number of cached files reaches the upper limit.

## ◆ REACH_CACHE_FILE_MAX_SIZE

io.agora.rte.Constants.PlayerEvent.REACH_CACHE_FILE_MAX_SIZE =(16)

16: The cache file size reaches the upper limit.

## ◆ TRY_OPEN_START

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_START =(17)

17: Start attempting to open a new URL.

## ◆ TRY_OPEN_SUCCEED

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_SUCCEED =(18)

18: Successfully opens a new URL.

## ◆ TRY_OPEN_FAILED

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_FAILED =(19)

19: Failed to open a new URL.

## ◆ AUDIO_TRACK_CHANGED

io.agora.rte.Constants.PlayerEvent.AUDIO_TRACK_CHANGED =(20)

20: The current audio track changes.